> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bigdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Intraday Prices

> Returns intraday historical price and volume data for a given symbol at specified intervals (e.g. 1min, 5min, 15min, 30min, 1hour). Supports stocks, ETFs, commodities (continuous futures), indexes, cryptocurrencies, and forex pairs. Each data point includes timestamp, open, high, low, close, and volume.



## OpenAPI

````yaml /api-rest/openapi/openapi_structured_data.json post /v1/price/intraday/query
openapi: 3.1.0
info:
  title: Bigdata Structured Data API
  description: Bigdata API documentation
  version: 1.0.0
servers:
  - url: https://api.bigdata.com/
security:
  - ApiKeyAuth: []
tags:
  - name: Market Data
    description: >-
      Market data endpoints including intraday prices, daily prices, price
      changes, and real-time quotes
  - name: Analyst Estimates
    description: >-
      Analyst estimates and ratings including analyst ratings, estimates, target
      prices, and earnings surprises
  - name: Financials & Ratios
    description: >-
      Financial statements and ratios including balance sheet, income statement,
      cash flow statement, key metrics TTM, and company ratios TTM
  - name: Company & Events
    description: >-
      Company information and events including company profile and events
      calendar
  - name: Fund Holdings
    description: >-
      Institutional fund holdings from SEC 13F filings including fund holdings
      and stock fund holdings
  - name: Knowledge Graph
    description: Corporate ownership and hierarchy data.
paths:
  /v1/price/intraday/query:
    post:
      tags:
        - Market Data
      summary: Intraday Prices
      description: >-
        Returns intraday historical price and volume data for a given symbol at
        specified intervals (e.g. 1min, 5min, 15min, 30min, 1hour). Supports
        stocks, ETFs, commodities (continuous futures), indexes,
        cryptocurrencies, and forex pairs. Each data point includes timestamp,
        open, high, low, close, and volume.
      operationId: query_intraday_prices_v1_price_intraday_query_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/IntradayPricesQuery'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IntradayPricesResponse'
components:
  schemas:
    IntradayPricesQuery:
      properties:
        identifier:
          $ref: '#/components/schemas/SingleIdentifier'
          description: >-
            Object specifying which identifier you are using to request the
            intraday price. You must supply one type and its corresponding
            value. Only one identifier should be provided per request.
          examples:
            - type: rp_entity_id
              value: 4A6F00
        timestamp:
          anyOf:
            - $ref: '#/components/schemas/QueryTimestamp'
            - type: 'null'
          description: >-
            The time range for retrieving intraday prices. All timestamps must
            be provided in the local time zone of the security exchange, and all
            results are returned in that same local exchange time. The expected
            timestamp format is 'YYYY-MM-DD', for example, '2025-09-02'.
          examples:
            - start: '2023-09-01'
              end: '2023-09-02'
        interval:
          $ref: '#/components/schemas/IntradayTimeFrame'
          description: >-
            The time interval for each intraday price data point. For example,
            '1min', '5min', '15min', '30min', '1hour', '4hour'.
          examples:
            - 15min
            - 30min
      type: object
      required:
        - identifier
        - timestamp
        - interval
      title: IntradayPricesQuery
    IntradayPricesResponse:
      properties:
        results:
          $ref: '#/components/schemas/IntradayPricesResults'
          description: The main data result
        errors:
          anyOf:
            - items:
                $ref: '#/components/schemas/ErrorDetail'
              type: array
            - type: 'null'
          title: Errors
        metadata:
          anyOf:
            - $ref: '#/components/schemas/Metadata'
            - type: 'null'
      type: object
      required:
        - results
      title: IntradayPricesResponse
      description: Company Intraday Prices response model.
    SingleIdentifier:
      properties:
        type:
          $ref: '#/components/schemas/IdentifierType'
          description: >-
            Object specifying which identifier you are using to request the
            intraday price. You must supply one type and its corresponding
            value. Only one identifier should be provided per request.
          examples:
            - rp_entity_id
        value:
          type: string
          title: Value
          description: >-
            Bigdata uses the RavenPack Entity identifier (RP_Entity_ID) to
            uniquely reference entities such as companies. This identifier is a
            6-character alphanumeric code (letters and numbers only). Example:
            Alphabet Inc. (`4A6F00`)
          examples:
            - 4A6F00
      type: object
      required:
        - type
        - value
      title: SingleIdentifier
    QueryTimestamp:
      properties:
        start:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Start
          description: >-
            The start datetime of the time range for retrieving events. Only
            events occurring on or after this datetime will be included. The
            expected timestamp format is 'YYYY-MM-DD', for example, '2025-09-02'
        end:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: End
          description: >-
            The end datetime of the time range for retrieving events. Only
            events occurring on or before this datetime will be included. The
            expected timestamp format is 'YYYY-MM-DD', for example,
            '2025-09-03'.
      type: object
      title: QueryTimestamp
    IntradayTimeFrame:
      type: string
      enum:
        - 1min
        - 5min
        - 15min
        - 30min
        - 1hour
        - 4hour
      title: IntradayTimeFrame
    IntradayPricesResults:
      properties:
        rp_entity_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Rp Entity Id
          description: RP Entity identifier
          examples:
            - 4A6F00
        target_identifier_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Target Identifier Id
          description: The external identifier ID, such as a symbol
          examples:
            - GOOGL
        fields:
          items:
            type: string
          type: array
          title: Fields
          description: Column names for the data values
          examples:
            - - TIMESTAMP
              - OPEN
              - LOW
              - HIGH
              - CLOSE
              - VOLUME
              - CURRENCY
        values:
          items:
            $ref: '#/components/schemas/IntradayPricesValue'
          type: array
          title: Values
          description: Intraday Prices records
          examples:
            - - '2025-09-15T09:30:00'
              - 244.77
              - 244.66
              - 252.4
              - 249.52
              - 41229669
              - USD
      type: object
      required:
        - rp_entity_id
        - target_identifier_id
        - fields
        - values
      title: IntradayPricesResults
      description: Alternative result model with strongly typed records.
    ErrorDetail:
      properties:
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
      type: object
      title: ErrorDetail
    Metadata:
      properties:
        request_id:
          type: string
          title: Request Id
        timestamp:
          type: string
          title: Timestamp
      type: object
      required:
        - request_id
      title: Metadata
    IdentifierType:
      type: string
      enum:
        - rp_entity_id
      title: IdentifierType
      default: rp_entity_id
    IntradayPricesValue:
      prefixItems:
        - type: string
          format: date-time
        - type: number
        - type: number
        - type: number
        - type: number
        - type: integer
        - type: string
      type: array
      maxItems: 7
      minItems: 7
      title: IntradayPricesValue
      description: Represents one row of values as a tuple (or list).
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````